# MetaFOX Shared Package

MetaFOX is an advanced automated machine learning (AutoML) component designed to simplify the initial model creation within NEMO META-OS. It automates the process of model selection, feature engineering, and hyperparameter tuning, making it easier to develop high-quality models for federated learning (FL) and transfer learning (TL).

MetaFOX Shared Package is separated part of the MetaFOX project that is used to provide shared functionalities across different components of the MetaFOX ecosystem. It includes essential utilities and configurations that facilitate the integration and operation of MetaFOX within various environments.

## Key Features

- **Model Selection**: Evaluates numerous machine learning models to find the best starting architecture for the specific problem.
- **Feature Engineering**: Automatically detects the best transformations and interactions of features that could benefit the model.
- **Hyperparameter Optimization**: Optimizes hyperparameters efficiently, ensuring the initial model is as performant as possible.
- **Architecture Adjustments**: Determines the best architecture adjustments needed when adapting pre-trained models to new tasks.

## Getting Started

For detailed installation instructions, usage guides, and API documentation, please visit the [MetaFOX Documentation](https://metafox.readthedocs.io/en/latest).

## Prerequisites

Before running MetaFOX, ensure you have the following prerequisites installed:

1. **Docker**: MetaFOX relies on Docker to run its services. Follow the official [Docker installation guide](https://docs.docker.com/get-docker/) for your operating system.

For more information, visit the [MetaFOX Documentation](https://metafox.readthedocs.io/en/latest).

## Documentation

For comprehensive guides and API documentation, please visit the [MetaFOX Documentation](https://metafox.readthedocs.io/en/latest).